Create issue does not allow for category_id

2017-08-28 05:50 - John Bolthouse

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.1

Description

When I create new issues via the API, no matter what I try, I cannot seem to get them to create with a properly assigned category.

I am including the category_id in the JSON post, and have tried string and integer values, but nothing seems to trigger the ID.

Environment:

  Redmine version                3.4.1.stable

  Ruby version                   2.0.0-p598 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               SQLServer

SCM:

  Subversion                     1.7.14

  Git                            1.8.3.1

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.12

  redmine_agile                  1.4.4

  redmine_checklists             3.1.5

  redmine_contacts               4.1.1

  redmine_contacts_helpdesk      3.0.8

  redmine_embedded_video         0.0.3.1

  redmine_lightbox2              0.3.2

  redmine_login_attempts_limit   0.1.0

  redmine_mentions               0.0.1

  sidebar_hide                   0.0.8

Associated revisions

Revision 16953 - 2017-08-28 06:15 - Toshi MARUYAMA

add category_id to REST issue creation tests (#26769)

Revision 16954 - 2017-08-28 06:20 - Toshi MARUYAMA

fix element order (#26769)

History

#1 - 2017-08-28 05:53 - Toshi MARUYAMA

- Description updated

#2 - 2017-08-28 06:12 - John Bolthouse

- Status changed from New to Resolved

Turns out that I should check carefully about whether or not I have my properties in C# configured properly. Turns out serializers tend to ignore

properties that have a scope of internal.

Sorry for the trouble.

#3 - 2017-08-28 06:16 - Toshi MARUYAMA

- Status changed from Resolved to Closed
- Resolution set to Invalid
